org.apache.tinkerpop.gremlin.groovy.jsr223.customizer

## Class CompilationOptionsCustomizerProvider

- java.lang.Object
- - org.apache.tinkerpop.gremlin.groovy.jsr223.customizer.CompilationOptionsCustomizerProvider

- All Implemented Interfaces:
    CompilerCustomizerProvider

  Deprecated.
  As of release 3.2.5, not replaced by a public class.

      @Deprecated
      public class CompilationOptionsCustomizerProvider
      extends Object
      implements CompilerCustomizerProvider

  Provides compilation configuration options to the `GremlinGroovyScriptEngine`.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompilationOptionsCustomizerProvider(Integer expectedCompilationTime)` Deprecated.
    `CompilationOptionsCustomizerProvider(Long expectedCompilationTime)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationCustomizer` | `create()` Deprecated. Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
    `long` | `getExpectedCompilationTime()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationOptionsCustomizerProvider

          public CompilationOptionsCustomizerProvider(Integer expectedCompilationTime)

      Deprecated.

    - #### CompilationOptionsCustomizerProvider

          public CompilationOptionsCustomizerProvider(Long expectedCompilationTime)

      Deprecated.

  - ### Method Detail

    - #### getExpectedCompilationTime

          public long getExpectedCompilationTime()

      Deprecated.

    - #### create

          public CompilationCustomizer create()

      Deprecated.
      Description copied from interface: `CompilerCustomizerProvider`
      Create a new instance of a `CompilationCustomizer` to add to the `GremlinGroovyScriptEngine`.
      Specified by:
        `create` in interface `CompilerCustomizerProvider`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.